# Handler for init activation of perfact packages

  - name: update perfact-repo insecure
    listen: "update perfact-repo"
    become: true
    command: apt-get -o Acquire::AllowInsecureRepositories=true update
    ignore_errors: true

  - name: add perfact-keyring
    listen: "update perfact-repo"
    become: true
    ansible.builtin.apt:
      allow_unauthenticated: true
      name: perfact-keyring
      state: present

  - name: update perfact-repo with keyring
    listen: "update perfact-repo"
    become: true
    ansible.builtin.apt:
      update_cache: yes